package com.diss.omppapp.api;

import com.diss.omppapp.entities.ClassEntity;
import com.diss.omppapp.entities.MinutePaperEntity;
import com.diss.omppapp.services.StudentInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

@RestController
public class StudentController {

    @Autowired
    private StudentInfoService studentInfoService;

    @PostMapping(value = "/getClassList",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<ClassEntity> getClassList(@RequestBody Map<String,String> request) {
        return studentInfoService.getClasses(request.get("username"));
    }

    @PostMapping(value = "/getOpenPapers",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<MinutePaperEntity> getOpenPapers(@RequestBody Map<String,String> request) {
        return studentInfoService.getOpenPapers(request.get("username"));
    }

    @PostMapping(value = "/getSubmittedClassPapers",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<MinutePaperEntity> getSubmittedClassPapers(@RequestBody Map<String,String> request) {
        return studentInfoService.getClassPapers(request.get("username"),request.get("classCode"),true);
    }

}
